com.rscja.custom.interfaces

## Interface IUHFProtocolParseBLE

- All Known Implementing Classes:
    UHFProtocolParseBLE

      public interface IUHFProtocolParseBLE

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `checkTagStateRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData)`
    `int` | `checkTagStateResponse(byte[] receiveData)`
    `byte[]` | `initRegFileRequest(char filter_bank, int filter_ptr, int filter_cnt, byte[] filter_data)`
    `boolean` | `initRegFileResponse(byte[] receiveData)`
    `byte[]` | `readMultipleTemperatureRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData, int jstart, int jnum)`
    `int` | `readMultipleTemperatureResponse(byte[] receiveData, int[] jtotalnum, int[] jreturned, float[] jtemp)`
    `byte[]` | `readTagTempRequest(char filter_bank, int filter_ptr, int filter_cnt, byte[] filter_data)`
    `boolean` | `readTagTempResponse(byte[] receiveData, float[] readTemp)`
    `byte[]` | `readTagVoltageRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData)`
    `boolean` | `readTagVoltageResponse(byte[] receiveData, float[] voltage)`
    `byte[]` | `setEPCAndTemperatureModeRequest(char memory, int address, int length, int dbyte0)`
    `boolean` | `setEPCAndTemperatureModeResponse(byte[] receiveData)`
    `byte[]` | `startLoggingRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData, float min_temp, float max_temp, int work_delay, int work_interval)`
    `boolean` | `startLoggingResponse(byte[] receiveData)`
    `byte[]` | `stopLoggingRequest(int filterBank, int filterPtr, int filterCnt, byte[] filterData, byte[] pwd)`
    `boolean` | `stopLoggingResponse(byte[] receiveData)`

- - ### Method Detail

    - #### initRegFileRequest

          byte[] initRegFileRequest(char filter_bank,
                                    int filter_ptr,
                                    int filter_cnt,
                                    byte[] filter_data)

    - #### initRegFileResponse

          boolean initRegFileResponse(byte[] receiveData)

    - #### readTagTempRequest

          byte[] readTagTempRequest(char filter_bank,
                                    int filter_ptr,
                                    int filter_cnt,
                                    byte[] filter_data)

    - #### readTagTempResponse

          boolean readTagTempResponse(byte[] receiveData,
                                      float[] readTemp)

    - #### startLoggingRequest

          byte[] startLoggingRequest(int filterBank,
                                     int filterPtr,
                                     int filterCnt,
                                     byte[] filterData,
                                     float min_temp,
                                     float max_temp,
                                     int work_delay,
                                     int work_interval)

    - #### startLoggingResponse

          boolean startLoggingResponse(byte[] receiveData)

    - #### stopLoggingRequest

          byte[] stopLoggingRequest(int filterBank,
                                    int filterPtr,
                                    int filterCnt,
                                    byte[] filterData,
                                    byte[] pwd)

    - #### stopLoggingResponse

          boolean stopLoggingResponse(byte[] receiveData)

    - #### checkTagStateRequest

          byte[] checkTagStateRequest(int filterBank,
                                      int filterPtr,
                                      int filterCnt,
                                      byte[] filterData)

    - #### checkTagStateResponse

          int checkTagStateResponse(byte[] receiveData)

    - #### readMultipleTemperatureRequest

          byte[] readMultipleTemperatureRequest(int filterBank,
                                                int filterPtr,
                                                int filterCnt,
                                                byte[] filterData,
                                                int jstart,
                                                int jnum)

    - #### readMultipleTemperatureResponse

          int readMultipleTemperatureResponse(byte[] receiveData,
                                              int[] jtotalnum,
                                              int[] jreturned,
                                              float[] jtemp)

    - #### readTagVoltageRequest

          byte[] readTagVoltageRequest(int filterBank,
                                       int filterPtr,
                                       int filterCnt,
                                       byte[] filterData)

    - #### readTagVoltageResponse

          boolean readTagVoltageResponse(byte[] receiveData,
                                         float[] voltage)

    - #### setEPCAndTemperatureModeRequest

          byte[] setEPCAndTemperatureModeRequest(char memory,
                                                 int address,
                                                 int length,
                                                 int dbyte0)

    - #### setEPCAndTemperatureModeResponse

          boolean setEPCAndTemperatureModeResponse(byte[] receiveData)